<!--
@name= index.html
@author= Estefani Paredes Valera
@version= 1.0
@description= main user interfax of the aplication
@date = 2-10-2019
@params= none 
@return = none 
-->


<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8"> <!-- necesaria, si no error codificacion de caracteres-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <!--css-->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">


    <link href="./css/exercice.css" rel="stylesheet" type="text/css" />

    <!-- js -->
    <script type="text/javascript" src="./js/control/index.js"></script>

    <title>My first practise</title>

</head>

<body>

    <h1> JAVASCRIPT FIRST EXERCISES</h1>


    <!--BOTTON FA111 -->

    <button id="buttonFA111" class="btn btn-primary" onclick="clickButton()"> FA111</button>

    <div id="FA111">

        <div class="jumbotron">
            <h2>Validate that the number is between 0 and 10,000 and if it is a number first or not.</h2>
        </div>

        <div id="divIntro">
            <p class="lead">Introduce the number:
                <input type="text" name="" id="txtNumber"> </input> <br> <br>
                <button class="btn btn-primary" onclick="clickButtonCalculate()"> Calculate</button>
                <button class="btn btn-primary" onclick="clickBack()">Back</button>

            </p>
        </div>


        <div id="divResult">
            <p id="pResult" class="lead">The result is:</p>
            <p id="prime" class="lead"> It's a prime number </p>
            <p id="notprime" class="lead"> It is not a prime number</p>
            <p id="outofrange" class="lead"> Out of range number :)</p>
            <p id="errorNANFA111" class="lead">You have not entered a correct number!</p>
            <button class="btn btn-primary" onclick="clickBack2()">Back</button>
        </div>


    </div>

    <!--BOTTON FA112 -->
    <button id="butttonFA112" class="btn btn-danger" onclick="clickButtonFA112()"> FA112</button>


    <div id="FA112">

        <div class="jumbotron">
            <h2>Guess the number between [1, 500]!! The maximum number of attempts is 50</h2>
        </div>

        <div id="divIntroFA112">
            <p class="lead">Introduce the number:
                <input type="text" name="" id="txtNumberFA112"> </input> <br> <br>
                <button class="btn btn-primary" onclick="clickButtonCalculateFA112()"> Calculate</button>
                <button class="btn btn-primary" onclick="clickBackFA112()">Back</button>

            </p>
        </div>


        <div id="divResultFA112">
            <p id="guessed" class="lead">You have guessed the number! </p>

            <p id="smaller" class="lead"> The secret number is smaller</p>

            <p id="bigger" class="lead">The secret number is bigger</p>

            <p id="maxAttempts" class="lead"> You have exceeded the maximum number of attempts</p>

            <p id="outofrangeFA112" class="lead"> The number is between 1 and 500, including:)</p>

            <p id="errorNANFA112" class="lead">You have not entered a correct number!</p>
        </div>


    </div>



    <!--BOTTON FA113 -->
    <button id="butttonFA113" class="btn btn-warning" onclick="clickButtonFA113()"> FA113</button>


    <div id="FA113">

        <div class="jumbotron">
            <h2>Calculate the multiples of 13, the sum and the product of all of them</h2>
        </div>

        <div class="divIntroFA113">

            <button class="btn btn-primary" onclick="clickButtonCalculateFA113()"> Calculate</button>

            <p> </p>
            <p id="demo"> </p>
            <p id="multiplication"> </p>
            <p id="sum"> </p>
            <p> </p>

            <button class="btn btn-primary" onclick="clickBackFA113()">Back</button>

        </div>


    </div>


    <!--BOTTON FA114 -->
    <button id="butttonFA114" class="btn btn-success" onclick="clickButtonFA114()"> FA114</button>

    <div id="FA114">

        <div class="jumbotron">
            <h2>Calculator</h2>
        </div>

        <div id="divIntroFA114">
            <p class="lead">Give me the first number:
                <br>
                <input type="text" name="" id="txtFirstNumberFA114"> </input>
            </p>
            <p class="lead">Which the operation that you want to do:
                <br>
                <input type="text" name="" id="txtOperationFA114"> </input>
            </p>
            <p class="lead">Give me the second number:
                <br>
                <input type="text" name="" id="txtSeconNumberFA114"> </input>
            </p>

            <p id="demoFA114" class="lead">

            </p>

            <button class="btn btn-primary" onclick="clickButtonCalculateFA114()"> Calculate</button>

            <button class="btn btn-primary" onclick="clickBackFA114()">Back</button>

        </div>



    </div>


</body>

</html>